/*******************************************************************************
 * Copyright © 2004 EDS. All rights reserved
 ******************************************************************************/
package gov.va.med.esr.messaging.builder.entity;

import gov.va.med.esr.common.builder.entity.NonNullEntityBuilderStrategy;
/**
 * @author DNS   LEV
 * 
 */
public class NullEntityBuilderStrategy extends NonNullEntityBuilderStrategy {

	/**
	 * Serialization id
	 */
	private static final long serialVersionUID = 184676827979477191L;

	/**
	 * A default constructor
	 */
	public NullEntityBuilderStrategy() {
		super();
	}

	public boolean shouldKeep(Object data) {
		return true;
	}

	public boolean shouldKeep(String data) {
		return false;
	}
}